package com.ycwl.basic.model.mobile.statistic.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author：longbinbin
 * @Date：2024/12/12 16:24
 */
@Data
@ApiModel("移动端用户转化漏斗")
public class AppStatisticsFunnelVO {

    @ApiModelProperty("镜头检测游客数")
    private Integer cameraShotOfMemberNum;
    @ApiModelProperty("镜头检测游客数_扫码访问人数_转化率")
    private String csom_scaom;
    @ApiModelProperty("扫码访问人数")
    private Integer scanCodeVisitorOfMemberNum;
    @ApiModelProperty("扫码访问人数_上传头像人数_转化率")
    private String scaom_ufom;
    @ApiModelProperty("上传头像（人脸）人数")
    private Integer uploadFaceOfMemberNum;
    @ApiModelProperty("上传头像人数_推送订阅人数_转化率")
    private String ufom_pom;
    @ApiModelProperty("推送订阅人数")
    private Integer pushOfMemberNum;
    @ApiModelProperty("推送订阅人数_生成视频人数_转化率")
    private String pom_cvom;
    @ApiModelProperty("生成视频人数")
    private Integer completeVideoOfMemberNum;
    @ApiModelProperty("生成视频人数_预览视频人数_转化率")
    private String cvom_pvom;
    @ApiModelProperty("预览视频人数")
    private Integer previewVideoOfMemberNum;
    @ApiModelProperty("预览视频人数_点击购买人数_转化率")
    private String pvom_cpom;
    @ApiModelProperty("点击购买人数")
    private Integer clickOnPayOfMemberNum;
    @ApiModelProperty("点击购买人数_支付订单人数_转化率")
    private String cpom_pom;
    @ApiModelProperty("支付订单人数")
    private Integer payOfMemberNum;

    @ApiModelProperty("总访问人数")
    private Integer totalVisitorOfMemberNum;
    @ApiModelProperty("生成视频条数")
    private Integer completeOfVideoNum;
    @ApiModelProperty("预览视频条数")
    private Integer previewOfVideoNum;
    @ApiModelProperty("支付订单数")
    private Integer payOfOrderNum;
    @ApiModelProperty("支付订单金额")
    private String payOfOrderAmount;
    @ApiModelProperty("退款订单数")
    private Integer refundOfOrderNum;
    @ApiModelProperty("退款订单金额")
    private String refundOfOrderAmount;
}
