package com.ycwl.basic.service.pc;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.pc.face.entity.FaceEntity;
import com.ycwl.basic.model.pc.face.req.FaceReqQuery;
import com.ycwl.basic.model.pc.face.resp.FaceRespVO;
import com.ycwl.basic.utils.ApiResponse;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 16:34
 */
public interface FaceService {
    ApiResponse<PageInfo<FaceRespVO>> pageQuery(FaceReqQuery faceReqQuery);
    ApiResponse<List<FaceRespVO>> list(FaceReqQuery faceReqQuery);
    ApiResponse<FaceRespVO> getById(Long id);
    ApiResponse<Integer> add(FaceEntity face);
    ApiResponse<Integer> deleteById(Long id);
    ApiResponse<Integer> deleteByIds(List<Long> ids);
    ApiResponse<Integer> update(FaceEntity face);

    ApiResponse faceUpload(MultipartFile file, Long scrnicId);
}
